indexing
	description: "Objects that ..."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	SOUND_MANAGER

inherit

	WEL_WINDOWS_ROUTINES
		export
			{NONE} all
		end


create
	make


feature {NONE} -- Initialization

	make is
			-- Initialize `Current'.
		do
		end


feature -- Access

	sound_is_on : BOOLEAN

	-- kinds of sound produced
	SoundKind_okay  : INTEGER is 1
	SoundKind_bad   : INTEGER is 2
	SoundKind_click : INTEGER is 3


feature -- Basic Operations

	set_active (new_sound_is_on : BOOLEAN) is
			-- activate or deactivate sound
		do
			sound_is_on := new_sound_is_on
		end



	play_sound (kind : INTEGER) is
			-- play sound characterized by `kind'
		do
			if sound_is_on then
				inspect kind
					when SoundKind_bad then
						message_beep_hand
					when SoundKind_click then
						message_beep_ok
					when SoundKind_okay then
						message_beep_exclamation
					else
				end
			end
		end

end
